Index: /tests/merger_iter_test.cpp
===================================================================
--- /tests/merger_iter_test.cpp (revision 262)
+++ /tests/merger_iter_test.cpp (revision 270)
@@ -18,7 +18,7 @@
 	RV xy=x; xy.add(y);
 	
-	enorm<fsqmat> f1 ( xy );
-	enorm<fsqmat> f2 ( xy );
-	enorm<fsqmat> f3(y);
+	enorm<fsqmat> f1;f1.set_rv ( xy );
+	enorm<fsqmat> f2;f2.set_rv ( xy );
+	enorm<fsqmat> f3;f3.set_rv(y);
 		
  	f1.set_parameters ( "4 3",mat ( "0.4 0.3; 0.3 0.4" ) );
@@ -45,5 +45,5 @@
 	
 	merger M ( A );
-	enorm<fsqmat> g0(xy);
+	enorm<fsqmat> g0; g0.set_rv(xy);
 	g0.set_parameters(vec("4 4"),mat("1 0; 0 1"));
 	
@@ -52,5 +52,5 @@
 	
 	MixEF &MM = M._Mix();
-	epdf* MP = MM.predictor(xy);
+	epdf* MP = MM.epredictor();//xy
 	
 	vec Res1 = M.evallog_m(Grid);
Index: /tests/testPF.cpp
===================================================================
--- /tests/testPF.cpp (revision 262)
+++ /tests/testPF.cpp (revision 270)
@@ -20,6 +20,6 @@
 	ldmat R(vR);
 		
-	eEmp emp(x,10);
-	euni eun(x);
+	eEmp emp;
+	euni eun;
 	eun.set_parameters("0","1");
 	emp.set_parameters(ones(10),&eun);
Index: /tests/merger_2d_test.cpp
===================================================================
--- /tests/merger_2d_test.cpp (revision 262)
+++ /tests/merger_2d_test.cpp (revision 270)
@@ -18,6 +18,6 @@
 	RV xy=x; xy.add(y);
 	
-	enorm<fsqmat> f1 ( xy );
-	enorm<fsqmat> f2 ( xy );
+	enorm<fsqmat> f1; f1.set_rv ( xy );
+	enorm<fsqmat> f2; f1.set_rv ( xy );
 		
 	mat R1 ( "0.5 0.48; 0.48 0.5" );
@@ -43,5 +43,5 @@
 	
 	merger M ( A );
-	enorm<fsqmat> g0(xy);
+	enorm<fsqmat> g0; g0.set_rv(xy);
 	g0.set_parameters(vec("1 1"),mat("10 0; 0 10"));
 	
@@ -50,5 +50,5 @@
 	
 	MixEF &MM = M._Mix();
-	emix* MP = MM.predictor(xy);
+	emix* MP = MM.epredictor(); //xy
 	
 	vec Res1 = M.evallog_m(Grid);
Index: /tests/testKF_QRexh.cpp
===================================================================
--- /tests/testKF_QRexh.cpp (revision 262)
+++ /tests/testKF_QRexh.cpp (revision 270)
@@ -53,5 +53,5 @@
 	//
 	//
-	Kalman<ldmat> KFtr ( rx,ry,ru );
+	Kalman<ldmat> KFtr;
 
 	for ( int i =0; i<vQ1.length();i++ ) {
Index: /tests/mixef_test.cpp
===================================================================
--- /tests/mixef_test.cpp (revision 254)
+++ /tests/mixef_test.cpp (revision 270)
@@ -52,11 +52,11 @@
 	fsqmat V2 ( mat ( "2 -0.1; -0.1 2" ) );
 
-	enorm<fsqmat> C1 ( x );
+	enorm<fsqmat> C1; C1.set_rv ( x );
 	C1.set_parameters ( m1,V1 );
-	enorm<fsqmat> C2 ( x );
+	enorm<fsqmat> C2; C2.set_rv ( x );
 	C2.set_parameters ( m2,V2 );
 
 	Array<epdf*> Sim ( 2 ); Sim ( 0 ) =&C1;Sim ( 1 ) =&C2;
-	emix Simul ( x );
+	emix Simul;Simul.set_rv ( x );
 	Simul.set_parameters ( "0.5 0.6", Sim, false );
 
@@ -76,6 +76,6 @@
 	Vp*=5*1e-5;
 
-	ARX M1 ( RV ( "{Th1 }","6" ),V0 - Vp,8 );
-	ARX M2 ( RV ( "{Th2 }","6" ),V0 + Vp,8 );
+	ARX M1;M1.set_statistics(2,V0 - Vp,8 );
+	ARX M2;M2.set_statistics (2, V0 + Vp,8 );
 	
 	// Build mixture model
@@ -94,5 +94,6 @@
 	//TEST random initialization
 	RNG_randomize();
-	ARX Aflat=ARX(RV("{Th3 }",vec_1(6)),V0,7);
+	ARX Aflat;
+	Aflat.set_statistics(2,V0,7);
 	MixEF RND;
 	RND.init(&Aflat,Data,10); // already initialized!
Index: /tests/testResample.cpp
===================================================================
--- /tests/testResample.cpp (revision 262)
+++ /tests/testResample.cpp (revision 270)
@@ -20,6 +20,6 @@
 	ldmat R(vR);
 		
-	eEmp emp(x,10);
-	euni eun(x);
+	eEmp emp;
+	euni eun;
 	eun.set_parameters("0","1");
 	emp.set_parameters(ones(10),&eun);
Index: /tests/testEpdf.cpp
===================================================================
--- /tests/testEpdf.cpp (revision 262)
+++ /tests/testEpdf.cpp (revision 270)
@@ -20,5 +20,5 @@
 
 	cout << "====== ENorm ====== " <<endl;
-	enorm<fsqmat> eN ( rv );
+	enorm<fsqmat> eN;eN.set_rv ( rv );
 	eN.set_parameters ( mu0,R );
 	vec pdf = zeros ( x.length() );
Index: /tests/enorm_test.cpp
===================================================================
--- /tests/enorm_test.cpp (revision 254)
+++ /tests/enorm_test.cpp (revision 270)
@@ -36,5 +36,6 @@
 	RV y ( "{y }" );
 
-	enorm<ldmat> E ( concat ( x,y ) );
+	enorm<ldmat> E;
+	E.set_rv(concat(x,y));
 	E.set_parameters ( mu,R );
 	cout << "enorm mean value:" << E.mean() <<endl;
@@ -65,5 +66,5 @@
 	mprod mEp ( A );
 
-	Smp=mEp.samplecond ( vec ( 0 ),ll,1000 );
+	Smp=mEp.samplecond ( vec ( 0 ),1000 );
 	Emu = sum ( Smp,2 ) /N;
 	Er = ( Smp*Smp.transpose() ) /N - outer_product ( Emu,Emu );
@@ -73,5 +74,5 @@
 	
 	cout << endl << " test of pdflog at zero "<<endl;
-	cout << "original: " << exp(E.evallog(vec("0 0"))) <<endl;
+	cout << "original: " << E.evallog(vec("0 0")) <<endl;
 	cout << "composite: " << mEp.evallogcond(vec("0 0"),vec(0)) << endl;
 }
Index: /tests/merger_test.cpp
===================================================================
--- /tests/merger_test.cpp (revision 262)
+++ /tests/merger_test.cpp (revision 270)
@@ -12,11 +12,11 @@
 
 	RNG_randomize();
-	
+
 	RV x ( "{x }","1" );
 
-	RV z(x);
-	
-	enorm<fsqmat> f1 ( x );
-	enorm<fsqmat> f2 ( x );
+	RV z ( x );
+
+	enorm<fsqmat> f1; f1.set_rv ( x );
+	enorm<fsqmat> f2; f2.set_rv ( x );
 
 	f1.set_parameters ( "-5",mat ( "2" ) );
@@ -24,9 +24,9 @@
 
 	Array<mpdf* > A ( 2 );
-	mepdf A1(&f1);
-	mepdf A2(&f2);
+	mepdf A1 ( &f1 );
+	mepdf A2 ( &f2 );
 	A ( 0 ) =&A1;
 	A ( 1 ) =&A2;
-	
+
 	int Npoints=100;
 	mat x_grid ( 1,Npoints );
@@ -36,23 +36,23 @@
 
 	vec l_f2=f2.evallog_m ( x_grid );
-	mat lW(2,Npoints);
-	lW.set_row(0, l_f1);
-	lW.set_row(1, l_f2 );
+	mat lW ( 2,Npoints );
+	lW.set_row ( 0, l_f1 );
+	lW.set_row ( 1, l_f2 );
 
 	merger M ( A );
-	enorm<fsqmat> g0(x);
-	g0.set_parameters(vec("0.0"),mat("100.0"));
-	
-	M.set_parameters(1.2,200,3);
-	M.merge(&g0);
-	
-	vec m2 = M.lognorm_merge(lW);
-	vec mm2 = M.evallog_m(x_grid);
-	
-	it_file it("merger_test.it");
-	it << Name("x_grid") << x_grid;
-	it << Name("lf1") << l_f1;
-	it << Name("lf2") << l_f2;
-	it << Name("m2") << m2;
-	it << Name("mm2") << mm2;
+	enorm<fsqmat> g0; g0.set_rv ( x );
+	g0.set_parameters ( vec ( "0.0" ),mat ( "100.0" ) );
+
+	M.set_parameters ( 1.2,200,3 );
+	M.merge ( &g0 );
+
+	vec m2 = M.lognorm_merge ( lW );
+	vec mm2 = M.evallog_m ( x_grid );
+
+	it_file it ( "merger_test.it" );
+	it << Name ( "x_grid" ) << x_grid;
+	it << Name ( "lf1" ) << l_f1;
+	it << Name ( "lf2" ) << l_f2;
+	it << Name ( "m2" ) << m2;
+	it << Name ( "mm2" ) << mm2;
 }
Index: /tests/datalink_test.cpp
===================================================================
--- /tests/datalink_test.cpp (revision 262)
+++ /tests/datalink_test.cpp (revision 270)
@@ -1,12 +1,4 @@
-
-#include "../bdm/stat/libBM.h"
-#include "../bdm/math/libDC.h"
-#include "../bdm/math/chmat.h"
-
+#include "../bdm/stat/libEF.h"
 using namespace bdm;
-
-//These lines are needed for use of cout and endl
-using std::cout;
-using std::endl;
 
 int main() {
@@ -15,8 +7,5 @@
 	RV c = RV ( "{c }" );
 
-	mpdf M1 ( concat ( a,b ),c );
-	mpdf M2 ( a, concat ( b,c ) );
-
-	datalink_m2m dl ( a,M2._rvc(),M1._rv(), M1._rvc() );
+	datalink_m2m dl ( a,concat(b,c),concat(a,b), c );
 
 	vec val ( "1 1.5 2" );
@@ -26,5 +15,5 @@
 	cout << "cond: " << cond  << endl;
 
-	cout << "lo val: " << dl.get_val ( val ) <<endl;
+	cout << "lo val: " << dl.pushdown ( val ) <<endl;
 	cout << "lo cond: " << dl.get_cond ( val,cond ) <<endl;
 
Index: /tests/arx_test.cpp
===================================================================
--- /tests/arx_test.cpp (revision 263)
+++ /tests/arx_test.cpp (revision 270)
@@ -24,6 +24,6 @@
 	double nu0 = ord+5.0;
 
-	RV thr ( "{theta_and_r }",vec_1 ( ord+1 ) );   // Descriptive random variable
-	ARX Ar ( thr, V0, nu0 );                 // Estimator
+	ARX Ar;
+	Ar.set_statistics(1, V0, nu0 );                 // Estimator
 	const epdf& f_thr = Ar._epdf();          // refrence to posterior of the estimator
 
@@ -50,5 +50,5 @@
 
 		// Build predictor
-		mlstudent* 	Pr = Ar.predictor_student ( RV ( "{y }" ),RV ( "{y1 y2 y3 y4 }" ) );
+		mlstudent* 	Pr = Ar.predictor_student ( );
 		// Test similarity of likelihoods from the Bayes rule and the predictor
 		cout << "BR log-lik: " << Ar._ll();
@@ -63,4 +63,4 @@
 	
 	cout << "Structure estimation: " <<endl;
-	cout <<Ar.structure_est ( egiw ( thr,V0,nu0 ) ) <<endl;
+	cout <<Ar.structure_est ( egiw ( 1,V0,nu0 ) ) <<endl;
 }
Index: /tests/egiw_test.cpp
===================================================================
--- /tests/egiw_test.cpp (revision 254)
+++ /tests/egiw_test.cpp (revision 270)
@@ -25,6 +25,5 @@
 		double nu=10;
 
-		RV thr ( "{thr }", "2" );
-		egiw E ( thr,nu*V,nu );
+		egiw E ( 1,nu*V,nu );
 		cout << "egiw mean value:" << E.mean() <<endl;
 		cout << "egiw normalizing constant:" << E.lognc() <<endl;
@@ -79,6 +78,5 @@
 		double nu=20;
 
-		RV thr ( "{thr }", "3" );
-		egiw E ( thr,nu*V,nu );
+		egiw E ( 1,nu*V,nu );
 		cout << "egiw mean value:" << E.mean() <<endl;
 		cout << "egiw normalizing constant:" << E.lognc() <<endl;
Index: /tests/arx_elem_test.cpp
===================================================================
--- /tests/arx_elem_test.cpp (revision 254)
+++ /tests/arx_elem_test.cpp (revision 270)
@@ -1,9 +1,4 @@
 #include <estim/arx.h>
-#include <stat/libEF.h>
 using namespace bdm;
-
-//These lines are needed for use of cout and endl
-using std::cout;
-using std::endl;
 
 int main() {
@@ -11,6 +6,5 @@
 	//Test constructor
 	mat V0 = 0.00001*eye(2); V0(0,0)= 0.1; //
-	RV thr("{th r }");
-	ARX Ar(thr, V0, -1.0);
+	ARX Ar; Ar.set_statistics(1, V0, -1.0);
 				
 	mat mu(1,1);
@@ -39,9 +33,9 @@
 	X2.set_row(0,x);
 	
-	mlstudent* Ap = Ar.predictor_student(RV("{y }"),RV("{1 }"));
+	mlstudent* Ap = Ar.predictor_student();
 	vec Ap_x=Ap->evallogcond_m(X,vec_1(1.0));
 	vec ll_x = Ar.logpred_m(X2);
 	
-	cout << "normalize : " << xstep*sum(Ap_x) << endl;
+	cout << "normalize : " << xstep*sum(exp(Ap_x)) << endl;
 	cout << "normalize : " << xstep*sum(exp(ll_x)) << endl;
 	
Index: /tests/UI/UIArxDS_test.cpp
===================================================================
--- /tests/UI/UIArxDS_test.cpp (revision 268)
+++ /tests/UI/UIArxDS_test.cpp (revision 270)
@@ -37,11 +37,11 @@
 	L->init();
 
-	vec dt=zeros ( DS->_drv().count() );   //data variable
-	datalink_e2e dl ( E->_drv(),DS->_drv() ); //datalink between a datasource and estimator
+	vec dt=zeros ( DS->_drv()._dsize() );   //data variable
+	datalink dl ( E->_drv(),DS->_drv() ); //datalink between a datasource and estimator
 
 	for ( int tK=1;tK<Ndat;tK++ ) {
 		DS->step();							// simulator step
 		DS->getdata ( dt );					// read data
-		E->bayes ( dl.get_val ( dt ) );		// update estimates
+		E->bayes ( dl.pushdown ( dt ) );		// update estimates
 
 		DS->logit ( *L );
Index: /Doxyfile
===================================================================
--- /Doxyfile (revision 264)
+++ /Doxyfile (revision 270)
@@ -32,5 +32,5 @@
 QT_AUTOBRIEF           = NO
 MULTILINE_CPP_IS_BRIEF = NO
-DETAILS_AT_TOP         = NO
+DETAILS_AT_TOP         = YES
 INHERIT_DOCS           = YES
 SEPARATE_MEMBER_PAGES  = NO
@@ -253,10 +253,10 @@
 DOT_FONTPATH           = 
 CLASS_GRAPH            = YES
-COLLABORATION_GRAPH    = YES
+COLLABORATION_GRAPH    = NO
 GROUP_GRAPHS           = YES
 UML_LOOK               = NO
 TEMPLATE_RELATIONS     = YES
-INCLUDE_GRAPH          = YES
-INCLUDED_BY_GRAPH      = YES
+INCLUDE_GRAPH          = NO
+INCLUDED_BY_GRAPH      = NO
 CALL_GRAPH             = NO
 CALLER_GRAPH           = NO
Index: /doc/html/classbdm_1_1PF__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1PF__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1PF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-78ef0ce46f78a4eecd94a15388463449
+f65847c2ba38a91d41e9bdb53e7ebd3e
Index: /doc/html/classbdm_1_1datalink__m2e__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1datalink__m2e__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1datalink__m2e__coll__graph.dot (revision 270)
@@ -5,4 +5,4 @@
   Node1 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="grey75", style="filled" fontcolor="black"];
   Node2 -> Node1 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node2 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/html/inline_dotgraph_1.dot
===================================================================
--- /doc/html/inline_dotgraph_1.dot (revision 264)
+++ /doc/html/inline_dotgraph_1.dot (revision 270)
@@ -1,19 +1,27 @@
  
-	digraph datalink {
-		node [shape=record];
-		subgraph cluster0 {
-			label = "Up";
-	    	up [label="<1>|<2>|<3>|<4>|<5>"];
-			color = "white"
-	}
-		subgraph cluster1{
-			label = "Down";
-			labelloc = b;
-	    	down [label="<1>|<2>|<3>"];
-			color = "white"
-	}
-	    up:1 -> down:1;
-	    up:3 -> down:2;
-	    up:5 -> down:3;
-	}
-	
+digraph datalink {
+rankdir=LR;
+subgraph cluster0 {
+node [shape=record];
+label = "RV_MAP \n std::map<string,int>";
+map [label="{{\"a\"| \"b\" | \"c\"} | {<3> 3 |<1> 1|<2> 2}}"];
+color = "white"
+}
+subgraph cluster1{
+node [shape=record];
+label = "RV_NAMES";
+names [label="{<1> \"b\" | <2> \"c\" | <3>\"a\" }"];
+color = "white"
+}
+subgraph cluster2{
+node [shape=record];
+label = "RV_SIZES";
+labelloc = b;
+sizes [label="{<1>1 |<2> 4 |<3> 1}"];
+color = "white"
+}
+map:1 -> names:1;
+map:1 -> sizes:1;
+map:3 -> names:3;
+map:3 -> sizes:3;
+}
Index: /doc/html/classbdm_1_1KFcondR__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1KFcondR__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1KFcondR__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/arx_8h__incl.dot
===================================================================
--- /doc/html/arx_8h__incl.dot (revision 261)
+++ /doc/html/arx_8h__incl.dot (revision 270)
@@ -12,11 +12,13 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1MPF__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1MPF__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1MPF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-e384e1edaf1a3b9e305977732db75b6c
+a06a650da396cf65271b525d35c11303
Index: /doc/html/UIArxDS__test_8cpp__incl.md5
===================================================================
--- /doc/html/UIArxDS__test_8cpp__incl.md5 (revision 269)
+++ /doc/html/UIArxDS__test_8cpp__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-452186f22366e0f11b6a344c515fb1e2
+2455358f964e97076c9d90f77084d998
Index: /doc/html/classbdm_1_1EKFfull__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1EKFfull__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1EKFfull__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-c9c0b1f4e18f0c005c5ff714fea8fd62
+ae7ef213214470570ce6b1011ee242f2
Index: /doc/html/ekf__templ_8h__incl.md5
===================================================================
--- /doc/html/ekf__templ_8h__incl.md5 (revision 261)
+++ /doc/html/ekf__templ_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-303f0254e4b7011cf99fbd0e28303447
+4b72455647663b36bd8f34ea6c0b1cb5
Index: /doc/html/merger_8h__incl.md5
===================================================================
--- /doc/html/merger_8h__incl.md5 (revision 261)
+++ /doc/html/merger_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-5df7c621a632bb785174c6950155d8d0
+9182970775527ba2c5b724be3c5933fa
Index: /doc/html/classbdm_1_1datalink__m2e__inherit__graph.dot
===================================================================
--- /doc/html/classbdm_1_1datalink__m2e__inherit__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1datalink__m2e__inherit__graph.dot (revision 270)
@@ -5,5 +5,5 @@
   Node1 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="grey75", style="filled" fontcolor="black"];
   Node2 -> Node1 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node2 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node2 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
   Node1 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node3 [label="bdm::datalink_m2m",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__m2m.html"];
Index: /doc/html/classbdm_1_1MixEF__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1MixEF__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1MixEF__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/libBM_8h__incl.md5
===================================================================
--- /doc/html/libBM_8h__incl.md5 (revision 261)
+++ /doc/html/libBM_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-61344c4c08e141dc66f2bb58b9119c19
+bad63d8b8571094134da87655ff29323
Index: /doc/html/inherit__graph__0.md5
===================================================================
--- /doc/html/inherit__graph__0.md5 (revision 269)
+++ /doc/html/inherit__graph__0.md5 (revision 270)
@@ -1,1 +1,1 @@
-7f497a6c95779bc5e016c31c770b2d42
+ae444bc9fced98bc4d3efce06092ecbb
Index: /doc/html/classbdm_1_1merger__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1merger__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1merger__coll__graph.dot (revision 270)
@@ -20,5 +20,5 @@
   Node8 [label="bdm::BM",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1BM.html",tooltip="Bayesian Model of a system, i.e. all uncertainty is modeled by probabilities."];
   Node4 -> Node8 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node5 -> Node8 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node8 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node9 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="weights",fontname="FreeSans"];
   Node9 [label="bdm::multiBM",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1multiBM.html",tooltip="Estimator for Multinomial density."];
Index: /doc/html/classbdm_1_1datalink__m2m__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1datalink__m2m__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1datalink__m2m__coll__graph.dot (revision 270)
@@ -7,4 +7,4 @@
   Node2 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__m2e.html",tooltip="data link between"];
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node3 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node3 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/html/classbdm_1_1multiBM__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1multiBM__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1multiBM__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-cb3d5fc4c09af922bb66e571f5669f63
+16639664ec05edd37c861c22bd0ac877
Index: /doc/html/classbdm_1_1EKFCh__cond__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1EKFCh__cond__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1EKFCh__cond__coll__graph.dot (revision 270)
@@ -14,5 +14,5 @@
   Node6 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node7 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node6 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/libKF_8h__incl.md5
===================================================================
--- /doc/html/libKF_8h__incl.md5 (revision 261)
+++ /doc/html/libKF_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-72cb1731a7f6f0e80effe55285e43ea6
+2cbcd836f5ff6f8bceecbd74f0c2c379
Index: /doc/html/libPF_8h__incl.dot
===================================================================
--- /doc/html/libPF_8h__incl.dot (revision 261)
+++ /doc/html/libPF_8h__incl.dot (revision 270)
@@ -12,8 +12,10 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1EKF__coll__graph.dot
===================================================================
--- /doc/html/classbdm_1_1EKF__coll__graph.dot (revision 269)
+++ /doc/html/classbdm_1_1EKF__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv",fontname="FreeSans"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv",fontname="FreeSans"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
Index: /doc/html/classbdm_1_1datalink__m2m__inherit__graph.md5
===================================================================
--- /doc/html/classbdm_1_1datalink__m2m__inherit__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1datalink__m2m__inherit__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-5383c25695ccb190e254149f8a505530
+e4819fcdd891c0c7756cbe38d69da2c8
Index: /doc/html/libDS_8h__incl.dot
===================================================================
--- /doc/html/libDS_8h__incl.dot (revision 261)
+++ /doc/html/libDS_8h__incl.dot (revision 270)
@@ -10,11 +10,13 @@
   Node3 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node4 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node5 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node5 -> Node2 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node2 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node5 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node6 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node6 -> Node2 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node3 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1EKFful__unQR__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1EKFful__unQR__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1EKFful__unQR__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-0f629179eaff8390c5d7bd5a8dc5fd74
+dd56d1e0e8ce8cd31ab8549a00f1aeb6
